using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Table("ATEventType")]
public partial class AteventType
{
    [Key]
    public int Id { get; set; }

    [StringLength(255)]
    public string Description { get; set; } = null!;

    [StringLength(16)]
    public string ShortName { get; set; } = null!;

    [InverseProperty("EventType")]
    public virtual ICollection<AteventDefinition> AteventDefinitions { get; set; } = new List<AteventDefinition>();
}
